From e48fd413e4bb70829c4a5783198facdb6422a2b2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Mon, 22 Jul 2019 17:10:37 +0200
Subject: [PATCH] Clean up file-size-function, with better default value

* lisp/files.el (size-human-readable-iec): New.
(file-size-function): Better default value.  Eliminate lambda.
Better default for custom choice.  Put in group `dired'.
---
 lisp/files.el | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/lisp/files.el b/lisp/files.el
index 70865ebcdf..868e23f0d1 100644
--- a/lisp/files.el
+++ b/lisp/files.el
@@ -6698,13 +6698,17 @@ directory-free-space-args
 			"ignored, as Emacs uses `file-system-info' instead"
 			"27.1")
 
-(defcustom file-size-function #'file-size-human-readable
+(defun size-human-readable-iec (size)
+  "Human-readable string for SIZE bytes, using IEC prefixes."
+  (file-size-human-readable size 'iec " "))
+
+(defcustom file-size-function #'size-human-readable-iec
   "Function that transforms the number of bytes into a human-readable string."
   :type `(radio
-          (function-item :tag "Default" file-size-human-readable)
-          (function-item :tag "IEC"
-                         ,(lambda (size) (file-size-human-readable size 'iec " ")))
-          (function :tag "Custom function"))
+          (function-item :tag "IEC" size-human-readable-iec)
+          (function-item :tag "Traditional" file-size-human-readable)
+          (function :tag "Custom function" number-to-string))
+  :group 'dired
   :version "27.1")
 
 (defun get-free-disk-space (dir)
-- 
2.20.1 (Apple Git-117)

